<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:19 CST 2018 -->
<title>Uses of Class projectx.engine.managers.locators.Locator</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.engine.managers.locators.Locator";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/locators/class-use/Locator.html" target="_top">Frames</a></li>
<li><a href="Locator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.engine.managers.locators.Locator" class="title">Uses of Class<br>projectx.engine.managers.locators.Locator</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.controls.ai">projectx.engine.controls.ai</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.creatures">projectx.engine.managers.entities.creatures</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.locators">projectx.engine.managers.locators</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.worlds">projectx.engine.worlds</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine.controls.ai">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a> in <a href="../../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a> with parameters of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AI.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/controls/ai/AI.html#goToLocation-projectx.engine.managers.locators.Locator-">goToLocation</a></span>(<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;checkpoint)</code>
<div class="block">This method sends the player to the given checkpoint tile location</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.creatures">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a> in <a href="../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a> that return types with arguments of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Creature.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#getCheckpoints--">getCheckpoints</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a> with parameters of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Creature.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#addCheckpoint-projectx.engine.managers.locators.Locator-">addCheckpoint</a></span>(<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;checkpoint)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a> with type arguments of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Creature.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/entities/creatures/Creature.html#setCheckpoints-java.util.ArrayList-">setCheckpoints</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;&nbsp;checkpoints)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.locators">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a> in <a href="../../../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a> that return types with arguments of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">LocatorManager.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/locators/LocatorManager.html#getCheckpoints--">getCheckpoints</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">LocatorManager.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/locators/LocatorManager.html#getLocators--">getLocators</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">LocatorManager.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/locators/LocatorManager.html#getStations--">getStations</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a> with parameters of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">LocatorManager.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/locators/LocatorManager.html#addLocators-projectx.engine.managers.locators.Locator-">addLocators</a></span>(<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;e)</code>
<div class="block">This method adds a locators to the locators ArrayList to be stored.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../projectx/engine/managers/locators/package-summary.html">projectx.engine.managers.locators</a> with type arguments of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">LocatorManager.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/managers/locators/LocatorManager.html#setLocators-java.util.ArrayList-">setLocators</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;&nbsp;locators)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.worlds">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a> in <a href="../../../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a> with parameters of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Generator.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/worlds/Generator.html#generateStationaryGuard-projectx.engine.managers.locators.Locator-">generateStationaryGuard</a></span>(<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&nbsp;station)</code>
<div class="block">This method takes in a station and creates a stationary guard who then stays at that station looking for prisoners</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a> with type arguments of type <a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Generator.</span><code><span class="memberNameLink"><a href="../../../../../projectx/engine/worlds/Generator.html#generatePatrolGuard-java.util.ArrayList-">generatePatrolGuard</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Locator</a>&gt;&nbsp;checkpoints)</code>
<div class="block">This method takes in a list of checkpoints and creates a patrol guard who then walks back and forth between the checkpoints</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../projectx/engine/managers/locators/Locator.html" title="class in projectx.engine.managers.locators">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?projectx/engine/managers/locators/class-use/Locator.html" target="_top">Frames</a></li>
<li><a href="Locator.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
